/*
 * ********************************************************* {{{1 **********
 *   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
 * *************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * *************************************************************************
 *   $Author: krischik $
 *   $Revision: 7684 $
 *   $Date: 2021-09-13 20:49:22 +0200 (Mo, 13. Sep 2021) $
 *   $Id: Calculator_Service_Test.kt 7684 2021-09-13 18:49:22Z krischik $
 * ********************************************************** }}}1 **********
 *
 */

package net.sourceforge.uiq3.hp45

import net.sourceforge.uiq3.Log as UIQ3_Log
import net.sourceforge.uiq3.test.*
import org.hamcrest.MatcherAssert.assertThat

@android.annotation.TargetApi(android.os.Build.VERSION_CODES.P)
@org.junit.runner.RunWith(androidx.test.ext.junit.runners.AndroidJUnit4::class)
@androidx.test.filters.MediumTest
class Calculator_Service_Test
{
   companion object
   {
      private val TAG = UIQ3_Log.createTag(Calculator_Service_Test::class.java)
   } // companion object

   /**
    * <p>activity under test</p>
    */
   @get:org.junit.Rule(order = 1)
   var serviceRule = androidx.test.rule.ServiceTestRule()

   @org.junit.Test
   fun Test_00_Is_Running()
   {
      UIQ3_Log.d(TAG, "+ Test_00_Is_Running")

      On_Calculator(serviceRule) {_, Calculator ->
	 assertThat(Calculator.isRunning(), isTrueValue())
      }

      UIQ3_Log.d(TAG, "- Test_00_Is_Running")
   } // Test_00_Is_Running

   @org.junit.Test
   fun test_01_ResetAll()
   {
      UIQ3_Log.d(TAG, "+ test_01_ResetAll")

      On_Calculator(serviceRule) {_, Calculator ->

	 When("the calculator performs a full reset")
	 Calculator.resetAll()
	 Then("no error is reported")
      }

      UIQ3_Log.d(TAG, "- test_01_ResetAll")
   } // test_01_ResetAll
} // Calculator_Service_Test

// ********************************************************* {{{1 **********
// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
// vim: set fileencoding=utf-8 filetype=kotlin foldmethod=indent spell spelllang=en_gb :
