/*
 * ********************************************************* {{{1 **********
 *   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
 * *************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * *************************************************************************
 *   $Author: krischik $
 *   $Revision: 7750 $
 *   $Date: 2021-11-29 11:43:17 +0100 (Mo, 29. Nov 2021) $
 *   $Id: Contact_Activity.java 7750 2021-11-29 10:43:17Z krischik $
 * ********************************************************** }}}1 **********
 *
 */

package net.sourceforge.uiq3.hp45;

import org.jetbrains.annotations.NotNull;

/**
 * <p>
 * A simple activity to display some online help
 * </p>
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
@org.androidannotations.annotations.EActivity (resName = "contact")
public class Contact_Activity
   extends
      net.sourceforge.uiq3.calculator.Contact_Activity
{
   /**
    * logging tag
    */
   private static final String TAG = net.sourceforge.uiq3.Log.createTag (Contact_Activity.class);

   /**
    * Called when the activity is first created.
    *
    * @see android.app.Activity#onCreate(android.os.Bundle)
    */
   @org.androidannotations.annotations.AfterViews
   public void After_Views ()
   {
      net.sourceforge.uiq3.Log.d (Contact_Activity.TAG, "+ After_Views");

      this.Add_Web_Button (R.id.Contact_Button_Bug_Report, Constants.Bug_Report.toString ());
      this.Add_EMail_Button (R.id.Contact_Button_Mail, "RPN-45 Emulator");
      this.Add_Web_Button (R.id.Contact_Button_Market, Constants.Market);

      // Buttons from info buttons include

      this.Add_Web_Button (
	 R.id.Contact_Button_SourceForge_Project,
	 Constants.SourceForge_Project.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_Homepage,
	 Constants.Homepage.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_History,
	 Constants.History.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_YouTube_Videos,
	 Constants.YouTube_Videos.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_Manual,
	 Constants.Manuals.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_Privacy,
	 Constants.Privacy_Policy.toString ());

      net.sourceforge.uiq3.Log.d (Contact_Activity.TAG, "- After_Views");
      return;
   } // After_Views

   /**
    * <p>
    * E-Mail address to use for feedback.
    * </p>
    */
   @NotNull
   @Override
   protected String E_Mail ()
   {
      return "rpn-45@krischik.com";
   } // E_Mail

   /**
    * <p>
    * E-Mail address to use for feedback.
    * </p>
    */
   @NotNull
   @Override
   protected String Version ()
   {
      return Contact_Activity.this.getString (net.sourceforge.uiq3.hp45.R.string.Version_Name);
   } // Version
} // Contact_Activity

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
