/*
 * ********************************************************* {{{1 **********
 *   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
 * *************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * *************************************************************************
 *   $Author: krischik $
 *   $Revision: 7700 $
 *   $Date: 2021-09-28 11:21:12 +0200 (Di, 28. Sep 2021) $
 *   $Id: Help_Activity.java 7700 2021-09-28 09:21:12Z krischik $
 * ********************************************************** }}}1 **********
 *
 */

package net.sourceforge.uiq3.hp45;

import org.jetbrains.annotations.NotNull;

/**
 * <p>
 * A simple activity to display some online help
 * </p>
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
@android.annotation.SuppressLint ("Registered")
@android.annotation.TargetApi (android.os.Build.VERSION_CODES.UPSIDE_DOWN_CAKE)
@org.androidannotations.annotations.EActivity (resName = "help")
public class Help_Activity
   extends
      net.sourceforge.uiq3.calculator.Help_Activity
{
   /**
    * logging tag
    */
   private static final String TAG = net.sourceforge.uiq3.Log.createTag (Help_Activity.class);

   /**
    * <p>
    * Help Widgets
    * </p>
    */
   @org.androidannotations.annotations.ViewById (resName = "Help")
   android.webkit.WebView Help;

   /**
    * Called when the views are prepared.
    */
   @org.androidannotations.annotations.AfterViews
   public void After_Views ()
   {
      // net.sourceforge.uiq3.Log.d (Help_Activity.TAG, "+ AfterViews");

      this.Open_Page (this.Help, "help.html");
      this.Help.setWebViewClient (new Help_Activity.WebViewClient ());

      // net.sourceforge.uiq3.Log.d (Help_Activity.TAG, "- AfterViews");
      return;
   } // AfterViews

   @SuppressWarnings ("HardcodedLineSeparator")
   @NotNull
   @org.jetbrains.annotations.TestOnly
   @Override
   public String toString ()
   {
      return Help_Activity.TAG + "{super=" + super.toString () + "\n, Help=" + this.Help + '}';
   }
} // Help_Activity

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
