/*
 * ********************************************************* {{{1 **********
 *   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
 * *************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * *************************************************************************
 *   $Author: krischik $
 *   $Revision: 7685 $
 *   $Date: 2021-09-16 11:41:15 +0200 (Do, 16. Sep 2021) $
 *   $Id: Preferences.java 7685 2021-09-16 09:41:15Z krischik $
 * ********************************************************** }}}1 **********
 *
 */

package net.sourceforge.uiq3.hp45;

import org.androidannotations.annotations.sharedpreferences.DefaultBoolean;
import org.androidannotations.annotations.sharedpreferences.DefaultString;
import org.androidannotations.annotations.sharedpreferences.SharedPref;

/**
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
@SharedPref (SharedPref.Scope.APPLICATION_DEFAULT)
public interface IPreferences
{
   /**
    * <p>
    * level of errors which should be printed as well. I default to printer until I find that dam array access bug.
    * </p>
    *
    * @return error level to print
    * @NotNull
    */
   @DefaultString ("2")
   public String Error_Handler ();

   /**
    * <p>
    * Vibrate an button click
    * </p>
    *
    * @return true if we should vibrate
    * @NotNull
    */
   @DefaultBoolean (false)
   public boolean Feedback_Vibrate ();

   /**
    * <p>
    * last version number used to detect updates
    * </p>
    *
    * @return last version number
    * @NotNull
    */
   @DefaultString ("")
   public String HP45_Printout ();

   /**
    * <p>
    * last version number used to detect updates
    * </p>
    *
    * @return last version number
    * @NotNull
    */
   @DefaultString ("0.0(0)")
   public String Version_Name ();
} // Preferences

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :