/*
 * ********************************************************* {{{1 **********
 *   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
 * *************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * *************************************************************************
 *   $Author: krischik $
 *   $Revision: 7750 $
 *   $Date: 2021-11-29 11:43:17 +0100 (Mo, 29. Nov 2021) $
 *   $Id: Info_Activity.java 7750 2021-11-29 10:43:17Z krischik $
 * ********************************************************** }}}1 **********
 *
 */

package net.sourceforge.uiq3.hp45;

import org.jetbrains.annotations.NotNull;

/**
 * <p>
 * A simple activity to display contact info
 * </p>
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
@android.annotation.TargetApi (android.os.Build.VERSION_CODES.UPSIDE_DOWN_CAKE)
@org.androidannotations.annotations.EActivity (resName = "info")
public class Info_Activity
   extends
      net.sourceforge.uiq3.calculator.Info_Activity
{
   /**
    * logging tag
    */
   private static final String TAG = net.sourceforge.uiq3.Log.createTag (Info_Activity.class);

   /**
    * <p>
    * Info Text 0
    * </p>
    */
   @org.androidannotations.annotations.ViewById
   android.widget.TextView Info_0;

   /**
    * Called when the activity is first created.
    */
   @org.androidannotations.annotations.AfterViews
   public void After_Views ()
   {
      net.sourceforge.uiq3.Log.d (Info_Activity.TAG, "+ After_Views");

      this.Info_0.setMovementMethod (android.text.method.LinkMovementMethod.getInstance ());

      // Buttons from info buttons include

      this.Add_Web_Button (
	 R.id.Contact_Button_SourceForge_Project,
	 Constants.SourceForge_Project.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_Homepage,
	 Constants.Homepage.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_History,
	 Constants.History.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_YouTube_Videos,
	 Constants.YouTube_Videos.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_Manual,
	 Constants.Manuals.toString ());
      this.Add_Web_Button (
	 R.id.Contact_Button_Privacy,
	 Constants.Privacy_Policy.toString ());

      net.sourceforge.uiq3.Log.d (Info_Activity.TAG, "- After_Views");
      return;
   } // After_Views

   @Override
   @NotNull
   @org.jetbrains.annotations.TestOnly
   public String toString ()
   {
      return Info_Activity.TAG + "{\nsuper=" + super.toString () + "\n, Info_0=" + this.Info_0 + '}';
   }
} // Info_Activity

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
