/*
 * ********************************************************* {{{1 **********
 *   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
 * *************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * *************************************************************************
 *   $Author: krischik $
 *   $Revision: 7685 $
 *   $Date: 2021-09-16 11:41:15 +0200 (Do, 16. Sep 2021) $
 *   $Id: Key.java 7685 2021-09-16 09:41:15Z krischik $
 * ********************************************************** }}}1 **********
 *
 */

package net.sourceforge.uiq3.hp45;

import org.jetbrains.annotations.NotNull;

/**
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
public class Key
   extends
   net.sourceforge.uiq3.calculator.Key<Calculator_Service, Main_Activity, IPreferences_>
{
   /**
    * logging tag
    */
   private static final String TAG = net.sourceforge.uiq3.Log.createTag (Key.class);

   /**
    * create new key
    *
    * @param owner
    *    owning activity
    * @param Id
    *    id of the key (0…n)
    * @param Calc_Key_Code
    *    Emulatoed calculator key code
    * @param Java_Key_Code
    *    Key code iused by java
    */
   public Key (
      @NotNull final Calculator_Fragment owner,
      final int Id,
      final short Calc_Key_Code,
      final int Java_Key_Code)
   {
      super (
	 /* owner          => */owner,
	 /* Id             => */Id,
	 /* Calc_Key_Code  => */Calc_Key_Code,
	 /* Java_Key_Code  => */Java_Key_Code);

      // net.sourceforge.uiq3.Log.d (Key.TAG, "+ Key");

      // net.sourceforge.uiq3.Log.d (Key.TAG, "- Key");
      return;
   } // Key

   @NotNull
   @Override
   public String getButtonText ()
   {
      final CharSequence retval = this.Java_Button != null
	 ? this.Java_Button.getText ()
	 : "";

      return retval.toString ();
   }
} // Key

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
