#!/opt/local/bin/zsh
# ********************************************************** {{{1 **********
#   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
# **************************************************************************
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# *********************************************************** }}}1 **********

setopt No_X_Trace;
setopt Err_Exit;

alias mvn="${M2_HOME}/bin/mvn"

zmodload zsh/net/tcp

#if ! ztcp localhost 8700; then
    #ddms		    &
#else
    #ztcp -c "${REPLY}"
#fi

pushd "${PROJECT_HOME}/HP45-Droid"
    mvn package
    adb -d wait-for-device
    adb -d install -r -s target/HP45-Droid-${UIQ3_VERSION}.apk
    adb -d shell am start -D -a android.intent.action.MAIN -n net.sourceforge.uiq3.hp45/net.sourceforge.uiq3.hp45.Calculator_Activity
popd;

############################################################ {{{1 ###########
# vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
