#!/opt/local/bin/zsh
# ********************************************************** {{{1 **********
#   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
# **************************************************************************
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# *********************************************************** }}}1 **********

setopt No_XTrace;
setopt Err_Exit;

zmodload zsh/net/tcp

alias mvn="${M2_HOME}/bin/mvn"

if ! ztcp localhost 5554; then
    emulator		    \
	-avd XOOM	    \
	-no-boot-anim	    &
    disown
else
    ztcp -c "${REPLY}"
fi;

#if ! ztcp localhost 8700; then
    #ddms		    &
    #disown
#else
    #ztcp -c "${REPLY}"
#fi

pushd "${PROJECT_HOME}"
    mvn install --also-make --projects ../HP45-Droid
popd;

pushd "${PROJECT_HOME}/HP45-Droid"
    adb -e wait-for-device
    adb -e install					\
	-r target/HP45-Droid-${UIQ3_VERSION}.apk
    adb -e shell am start				\
	-a android.intent.action.MAIN			\
	-n net.sourceforge.uiq3.hp45/net.sourceforge.uiq3.hp45.Calculator_Activity
popd;

############################################################ {{{1 ###########
# vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
