#!/opt/local/bin/zsh
#
# ********************************************************** {{{1 **********
#   Copyright © 2005 … 2021  "Martin Krischik" «krischik@users.sourceforge.net»
# **************************************************************************
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# **************************************************************************
#   $Author: krischik $
#   $Revision: 8451 $
#   $Date: 2023-01-24 13:54:39 +0100 (Di, 24. Jan 2023) $
#   $Id: Build.command 8451 2023-01-24 12:54:39Z krischik $
# *********************************************************** }}}1 **********

setopt No_XTrace;
setopt Err_Exit;

typeset -l Local_Path="${PROJECT_HOME}/target/surefire-reports"

pushd "${Workspace}/Temp/net.sourceforge.uiq3.hp45"
    gcp --verbose --archive "R52R20FBYEF/uiq3.hp45.Printer_Fragment_Test – Test_01_Button_Print_Memory – 1 -"*.png	"${PROJECT_HOME}/Documents/content/rpn-45/android/Main_Tablet.png"
    gcp --verbose --archive "R5CW21BPSNH/uiq3.hp45.Help_Activity_Test – Test_00_Open – 1 -"*.png			"${PROJECT_HOME}/Documents/content/rpn-45/android/Help_Portrait.png"
    gcp --verbose --archive "R5CW21BPSNH/uiq3.hp45.Info_Activity_Test – Test_01_Open – 1 -"*.png			"${PROJECT_HOME}/Documents/content/rpn-45/android/Info_Portrait.png"
    gcp --verbose --archive "R5CW21BPSNH/uiq3.hp45.Main_Activity_Test – Main_08_Rotation – 2 -"*.png			"${PROJECT_HOME}/Documents/content/rpn-45/android/Main_Landscape.png"	    
    gcp --verbose --archive "R5CW21BPSNH/uiq3.hp45.Main_Activity_Test – Test_00_Open – 1 -"*.png			"${PROJECT_HOME}/Documents/content/rpn-45/android/Main_Portrait.png"        
    gcp --verbose --archive "R5CW21BPSNH/uiq3.hp45.Main_Activity_Test – Test_01_Open_Menu – 1 -"*.png			"${PROJECT_HOME}/Documents/content/rpn-45/android/Menu_Portrait.png"        
    gcp --verbose --archive "R5CW21BPSNH/uiq3.hp45.Preferences_Activity_Test – test_99_Reset – 1 -"*.png		"${PROJECT_HOME}/Documents/content/rpn-45/android/Preferences_Portrait.png" 
    gcp --verbose --archive "R5CW21BPSNH/uiq3.hp45.Printer_Fragment_Test – Test_01_Button_Print_Register – 1 -"*.png	"${PROJECT_HOME}/Documents/content/rpn-45/android/Printer_Portrait.png"     
popd;

############################################################ {{{1 ###########
# vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
