/*
 * ******************************************************** {{{1 ************
 *   Copyright © 2005 … 2017 "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see «http://www.gnu.org/licenses».
 *  ***************************************************************************
 *   $Author: krischik $
 *   $Revision: 7685 $
 *   $Date: 2021-09-16 11:41:15 +0200 (Do, 16. Sep 2021) $
 *   $Id: Utils.java 7685 2021-09-16 09:41:15Z krischik $
 *  ********************************************************** }}}1 ***********
 */
package net.sourceforge.uiq3.maps;

import org.jetbrains.annotations.NotNull;

/**
 * <p>
 * Utilities for map based activities and services
 * </p>
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 * @version 1.0 $Revision: 7685 $
 * @since 1.0
 */
@SuppressWarnings ("UnusedDeclaration")
@android.annotation.TargetApi (android.os.Build.VERSION_CODES.UPSIDE_DOWN_CAKE)
public final class Utils
{

   /**
    * <p>
    * offset between the location based doubles and the geo point based integers
    * </p>
    */
   public static final double Geo_Point_Offset = 1E6;

   /**
    * <p>
    * convert an location to a geo point
    * </p>
    *
    * @param location
    *           the locations
    * @return the geo point
    */
   @org.jetbrains.annotations.NotNull
   public static com.google.android.maps.GeoPoint locationToGeoPoint (@NotNull final android.location.Location location)
   {
      return new com.google.android.maps.GeoPoint (
         /* latitudeE6  => */Utils.locationToGeoPoint (location.getLatitude ()),
         /* longitudeE6 => */Utils.locationToGeoPoint (location.getLongitude ()));
   } // locationToGeoPoint

   /**
    * <p>
    * convert an location to a geo point
    * </p>
    *
    * @param location
    *           the locations
    * @return the geo point
    */
   public static int locationToGeoPoint (@NotNull final Double location)
   {
      return (int) (location * Utils.Geo_Point_Offset);
   } // locationToGeoPoint

   /**
    * <p>
    * Do not create
    * </p>
    */
   private Utils ()
   {
      return;
   } // Utils
} // Utils
  // vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=120 :
  // vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
