/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2024  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.calculator;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import org.jetbrains.annotations.TestOnly;

/**
 * @author martin
 */
public final class About_Dialog
   extends javax.swing.JDialog
{
   /**
    *
    */
   private static final long serialVersionUID = 6630590116941887071L;
   /**
    * <p> class logger instance </p>
    */
   private static final java.util.logging.Logger logger;
   /**
    * <p> class logger tag. </p>
    */
   private static final String TAG;
   /**
    * Resource Bundle used for I18N
    */
   private static final java.util.ResourceBundle Calculator_Desktop; // NOI18N

   static
   {
      TAG = About_Dialog.class.getName ();
      logger = java.util.logging.Logger.getLogger (TAG);
      Calculator_Desktop = java.util.ResourceBundle.getBundle ("net/sourceforge/uiq3/calculator/Bundle"); // NOI18N
   }

   @Nullable
   java.net.URI homepage = null;
   @Nullable
   java.net.URI manuals = null;
   @Nullable
   java.net.URI sourceforge = null;
   @Nullable
   java.net.URI youtube = null;
   @Nullable
   net.sourceforge.uiq3.calculator.IProperties properties;

   /**
    * Initialize Values
    */
   public void Initialize ()
   {
      About_Dialog.logger.entering (About_Dialog.TAG, "Initialize");

      if (properties != null)
      {
	 properties.restoreWindowStatus (this);
      }

      About_Dialog.logger.exiting (About_Dialog.TAG, "Initialize");
      return;
   } // Initialize

   /**
    * Creates new form About_Dialog
    *
    * @param parent
    *    parent frame
    * @param modal
    *    show modal
    */
   public About_Dialog (
      final java.awt.Frame parent,
      final boolean modal)
   {
      super (parent, modal);
      About_Dialog.logger.entering (About_Dialog.TAG, "About_Dialog", new Object[] {
	 parent, modal});

      this.initComponents ();

      About_Dialog.logger.exiting (About_Dialog.TAG, "About_Dialog");
      return;
   }

   /**
    * Creates new form About_Dialog
    *
    * @param parent
    *    parent frame
    */
   public About_Dialog (
      @NotNull final java.awt.Frame parent,
      @NotNull final net.sourceforge.uiq3.calculator.IProperties properties,
      @NotNull final String title,
      @NotNull final String name,
      @NotNull final javax.swing.Icon icon,
      @NotNull final java.net.URI homepage,
      @NotNull final java.net.URI manuals,
      @NotNull final java.net.URI sourceforge,
      @NotNull final java.net.URI youtube)
   {
      this (parent, false);
      About_Dialog.logger.entering (About_Dialog.TAG, "About_Dialog", new Object[] {
	 parent, properties, title, name, icon, homepage, manuals, sourceforge, youtube});

      this.properties = properties;
      this.homepage = homepage;
      this.manuals = manuals;
      this.sourceforge = sourceforge;
      this.youtube = youtube;
      this.setTitle (title);
      this.Program_Name_Label.setText (name);
      this.Label_Icon.setIcon (icon);

      About_Dialog.logger.exiting (About_Dialog.TAG, "About_Dialog");
      return;
   }

   //@formatter:off
   /**
    * This method is called from within the constructor to initialize the form. WARNING: Do NOT
    * modify this code. The content of this method is always regenerated by the Form Editor.
    */
   @SuppressWarnings ("unchecked")
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents()
   {

      setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
      setTitle(Calculator_Desktop.getString("About_Title")); // NOI18N
      setMinimumSize(new java.awt.Dimension(292, 380));
      setName("About_Dialog"); // NOI18N
      addWindowListener(new java.awt.event.WindowAdapter()
      {
         public void windowClosing(java.awt.event.WindowEvent evt)
         {
            formWindowClosing(evt);
         }
      });

      Program_Name_Label.setText(Calculator_Desktop.getString("About_Label_Title")); // NOI18N
      Program_Name_Label.setName("Program_Name_Label"); // NOI18N

      Version_Label.setText(Calculator_Desktop.getString("Version")); // NOI18N
      Version_Label.setName("Version_Label"); // NOI18N

      Version_Number_Label.setText(Calculator_Desktop.getString("Version_Number")); // NOI18N
      Version_Number_Label.setName("Version_Number_Label"); // NOI18N

      Panel_Visit.setBorder(javax.swing.BorderFactory.createTitledBorder(Calculator_Desktop.getString("About_Panel_Visit"))); // NOI18N
      Panel_Visit.setName("Panel_Visit"); // NOI18N

      Button_Homepage.setIcon (new javax.swing.ImageIcon(getClass().getResource (
	 "/net/sourceforge/uiq3/calculator/globe.png"))); // NOI18N
      Button_Homepage.setText(Calculator_Desktop.getString("About_Button_Help_Homepage")); // NOI18N
      Button_Homepage.setActionCommand("Button_Homepage");
      Button_Homepage.setName("Button_Homepage"); // NOI18N
      Button_Homepage.addActionListener(this::Button_HomepageActionPerformed);

      Button_Help_Manuals.setIcon (new javax.swing.ImageIcon(getClass().getResource (
	 "/net/sourceforge/uiq3/calculator/manual.png"))); // NOI18N
      Button_Help_Manuals.setText(Calculator_Desktop.getString("About_Button_Help_Manuals")); // NOI18N
      Button_Help_Manuals.setName("Button_Help_Manuals"); // NOI18N
      Button_Help_Manuals.addActionListener(this::Button_Help_ManualsActionPerformed);

      Button_Help_YouTube.setIcon (new javax.swing.ImageIcon(getClass().getResource (
	 "/net/sourceforge/uiq3/calculator/youtube.png"))); // NOI18N
      Button_Help_YouTube.setText(Calculator_Desktop.getString("About_Button_Help_YouTube")); // NOI18N
      Button_Help_YouTube.setActionCommand("Menu_Help_YouTube");
      Button_Help_YouTube.setName("Button_Help_YouTube"); // NOI18N
      Button_Help_YouTube.addActionListener(this::Button_Help_YouTubeActionPerformed);

      Button_Help_Sourceforge.setIcon (new javax.swing.ImageIcon(getClass().getResource (
	 "/net/sourceforge/uiq3/calculator/sourceforge.png"))); // NOI18N
      Button_Help_Sourceforge.setText(Calculator_Desktop.getString("About_Button_Help_SourceForge")); // NOI18N
      Button_Help_Sourceforge.setActionCommand("Button_Help_Sourceforge");
      Button_Help_Sourceforge.setName("Button_Help_Sourceforge"); // NOI18N
      Button_Help_Sourceforge.addActionListener(this::Button_Help_SourceforgeActionPerformed);

      javax.swing.GroupLayout Panel_VisitLayout = new javax.swing.GroupLayout(Panel_Visit);
      Panel_Visit.setLayout(Panel_VisitLayout);
      Panel_VisitLayout.setHorizontalGroup(
         Panel_VisitLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(Panel_VisitLayout.createSequentialGroup()
            .addContainerGap()
            .addGroup(Panel_VisitLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(Button_Help_Manuals, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(Button_Homepage, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(Button_Help_YouTube, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(Button_Help_Sourceforge, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addContainerGap())
      );
      Panel_VisitLayout.setVerticalGroup(
         Panel_VisitLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(Panel_VisitLayout.createSequentialGroup()
            .addContainerGap()
            .addComponent(Button_Homepage)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(Button_Help_Manuals)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(Button_Help_YouTube)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(Button_Help_Sourceforge)
            .addContainerGap())
      );

      OK_Button.setText(Calculator_Desktop.getString("About_Button_OK")); // NOI18N
      OK_Button.setName("OK_Button"); // NOI18N
      OK_Button.addActionListener(this::OK_ButtonActionPerformed);

      Label_Icon.setIcon (new javax.swing.ImageIcon(getClass().getResource (
	 "/net/sourceforge/uiq3/calculator/calculator.png"))); // NOI18N
      Label_Icon.setName("Label_Icon"); // NOI18N

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
      getContentPane().setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(OK_Button)
               .addComponent(Panel_Visit, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                  .addComponent(Label_Icon)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addComponent(Program_Name_Label)
                     .addGroup(layout.createSequentialGroup()
                        .addComponent(Version_Label)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(Version_Number_Label)))))
            .addContainerGap())
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
               .addGroup(layout.createSequentialGroup()
                  .addComponent(Program_Name_Label)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                     .addComponent(Version_Label)
                     .addComponent(Version_Number_Label)))
               .addComponent(Label_Icon))
            .addGap(18, 18, 18)
            .addComponent(Panel_Visit, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, Short.MAX_VALUE)
            .addComponent(OK_Button)
            .addContainerGap())
      );

      pack();
   }// </editor-fold>//GEN-END:initComponents

   private void Button_HomepageActionPerformed (java.awt.event.ActionEvent evt)//GEN-FIRST:event_Button_HomepageActionPerformed
   {//GEN-HEADEREND:event_Button_HomepageActionPerformed
      About_Dialog.logger.entering (About_Dialog.TAG, "Button_HomepageActionPerformed", evt);

      if (this.homepage != null)
      {
	 net.sourceforge.uiq3.OS.openPage (this.homepage);
      }

      About_Dialog.logger.exiting (About_Dialog.TAG, "Button_HomepageActionPerformed");
      return;
   }//GEN-LAST:event_Button_HomepageActionPerformed

   private void Button_Help_ManualsActionPerformed (java.awt.event.ActionEvent evt)//GEN-FIRST:event_Button_Help_ManualsActionPerformed
   {//GEN-HEADEREND:event_Button_Help_ManualsActionPerformed
      About_Dialog.logger.entering (About_Dialog.TAG, "Button_Help_ManualsActionPerformed", evt);

      if (manuals != null)
      {
	 net.sourceforge.uiq3.OS.openPage (manuals);
      }

      About_Dialog.logger.exiting (About_Dialog.TAG, "Button_Help_ManualsActionPerformed");
      return;
   }//GEN-LAST:event_Button_Help_ManualsActionPerformed

   private void OK_ButtonActionPerformed (java.awt.event.ActionEvent evt)//GEN-FIRST:event_OK_ButtonActionPerformed
   {//GEN-HEADEREND:event_OK_ButtonActionPerformed
      About_Dialog.logger.entering (About_Dialog.TAG, "OK_ButtonActionPerformed", evt);

      if (properties != null)
      {
	 properties.saveWindowStatus (this);
      }
      this.setVisible (false);
      this.dispose ();

      About_Dialog.logger.exiting (About_Dialog.TAG, "OK_ButtonActionPerformed", evt);
   }//GEN-LAST:event_OK_ButtonActionPerformed

   private void formWindowClosing (java.awt.event.WindowEvent evt)//GEN-FIRST:event_formWindowClosing
   {//GEN-HEADEREND:event_formWindowClosing
      About_Dialog.logger.entering (About_Dialog.TAG, "formWindowClosing", evt);

      if (properties != null)
      {
	 this.properties.saveWindowStatus (this);
      }
      this.setVisible (false);
      this.dispose ();

      About_Dialog.logger.exiting (About_Dialog.TAG, "formWindowClosing", evt);
   }//GEN-LAST:event_formWindowClosing

   private void Button_Help_SourceforgeActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_Button_Help_SourceforgeActionPerformed
   {//GEN-HEADEREND:event_Button_Help_SourceforgeActionPerformed
      About_Dialog.logger.entering (About_Dialog.TAG, "Button_Help_SourceforgeActionPerformed", evt);

      if (sourceforge != null)
      {
	 net.sourceforge.uiq3.OS.openPage (sourceforge);
      }

      About_Dialog.logger.exiting (About_Dialog.TAG, "Button_Help_SourceforgeActionPerformed");
      return;
   }//GEN-LAST:event_Button_Help_SourceforgeActionPerformed

   private void Button_Help_YouTubeActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_Button_Help_YouTubeActionPerformed
   {//GEN-HEADEREND:event_Button_Help_YouTubeActionPerformed
      About_Dialog.logger.entering (About_Dialog.TAG, "Button_Help_YouTubeActionPerformed", evt);

      if (youtube != null)
      {
	 net.sourceforge.uiq3.OS.openPage (youtube);
      }

      About_Dialog.logger.exiting (About_Dialog.TAG, "Button_Help_YouTubeActionPerformed");
      return;
   }//GEN-LAST:event_Button_Help_YouTubeActionPerformed

   // Variables declaration - do not modify//GEN-BEGIN:variables
   private final javax.swing.JButton Button_Help_Manuals = new javax.swing.JButton();
   private final javax.swing.JButton Button_Help_Sourceforge = new javax.swing.JButton();
   private final javax.swing.JButton Button_Help_YouTube = new javax.swing.JButton();
   private final javax.swing.JButton Button_Homepage = new javax.swing.JButton();
   private final javax.swing.JLabel Label_Icon = new javax.swing.JLabel();
   private final javax.swing.JButton OK_Button = new javax.swing.JButton();
   private final javax.swing.JPanel Panel_Visit = new javax.swing.JPanel();
   private final javax.swing.JLabel Program_Name_Label = new javax.swing.JLabel();
   private final javax.swing.JLabel Version_Label = new javax.swing.JLabel();
   private final javax.swing.JLabel Version_Number_Label = new javax.swing.JLabel();
   // End of variables declaration//GEN-END:variables
   //@formatter:on

   @SuppressWarnings ("HardcodedLineSeparator")
   @Override @TestOnly @NotNull public String
   toString ()
   {
      return "About_Dialog {\n" +
	 "super = " + super.toString () +
	 ",\nhomepage = " + homepage +
	 ",\nmanuals = " + manuals +
	 ",\nsourceforge = " + sourceforge +
	 ",\nyoutube = " + youtube +
	 ",\nproperties = " + properties +
	 ",\nButton_Help_Manuals = " + Button_Help_Manuals +
	 ",\nButton_Help_Sourceforge = " + Button_Help_Sourceforge +
	 ",\nButton_Help_YouTube = " + Button_Help_YouTube +
	 ",\nButton_Homepage = " + Button_Homepage +
	 ",\nLabel_Icon = " + Label_Icon +
	 ",\nOK_Button = " + OK_Button +
	 ",\nPanel_Visit = " + Panel_Visit +
	 ",\nProgram_Name_Label = " + Program_Name_Label +
	 ",\nVersion_Label = " + Version_Label +
	 ",\nVersion_Number_Label = " + Version_Number_Label +
	 "\n}";
   }
} // About_Dialog
