/*
 * ********************************************************** {{{1 **********
 *   Copyright © 2010 Martin Krischik
 * ***************************************************************************
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or ENDIFFTNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * ************************************************************ }}}1 ********
 */
package net.sourceforge.uiq3.calculator;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import org.jetbrains.annotations.TestOnly;

/**
 *
 * @author martin
 */
@SuppressWarnings ("HardcodedFileSeparator")
public class Error_Canvas
   extends javax.swing.JPanel
{
   /**
    * class logger instance
    */
   private static final java.util.logging.Logger Logger;
   /**
    * class logger tag.
    */
   private static final String TAG;
   /**
    * Resource Bundle used for I18N
    */
   private static final java.util.ResourceBundle Calculator_Bundle; // NOI18N
   /**
    *
    */
   private static final long serialVersionUID = -2729584841681491494L;

   static
   {
      TAG = Button_3.class.getName ();
      Logger = java.util.logging.Logger.getLogger (TAG);
      Calculator_Bundle = java.util.ResourceBundle.getBundle ("net/sourceforge/uiq3/calculator/Bundle"); // NOI18N
   }

   /**
    * Creates new form Error_Canvas
    */
   public Error_Canvas ()
   {
      super ();
      Logger.entering (TAG, "Error_Canvas");

      initComponents ();

      Logger.exiting (TAG, "Error_Canvas");
   }

   /**
    * <p> display additional information on the error. this is device and setup dependent. </p>
    *
    * @param exception
    *    exception to display
    */
   @SuppressWarnings ("HardcodedLineSeparator")
   public void displayException (@NotNull final Throwable exception)
   {
      Error_Canvas.Logger.entering (Error_Canvas.TAG, "displayException", new Object[] {exception});

      final Class<? extends @NotNull Throwable> exceptionClass = exception.getClass ();
      final String classText = exceptionClass.getName ();

      final String stackStrace = java.util.Arrays.stream (exception.getStackTrace ())
	 .map (StackTraceElement::toString)
	 .collect (java.util.stream.Collectors.joining ("\n"));

      Stack_Text.setText (stackStrace);
      Class_Text.setText (classText);
      Message_Text.setText (exception.getMessage ());

      Error_Canvas.Logger.exiting (Error_Canvas.TAG, "displayException");
      return;
   }

   //@formatter:off
   /**
    * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The
    * content of this method is always regenerated by the Form Editor.
    */
   @SuppressWarnings ("unchecked")
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents()
   {

      Mesage_Label.setText(Calculator_Bundle.getString("Message_Label")); // NOI18N
      Mesage_Label.setName("Mesage_Label"); // NOI18N

      Message_Text.setEditable(false);
      Message_Text.setBackground(javax.swing.UIManager.getDefaults().getColor("EditorPane.background"));
      Message_Text.setName("Message_Text"); // NOI18N

      Stack_Scroll.setName("Stack_Scroll"); // NOI18N

      Stack_Text.setEditable(false);
      Stack_Text.setBackground(javax.swing.UIManager.getDefaults().getColor("EditorPane.background"));
      Stack_Text.setColumns(20);
      Stack_Text.setRows(5);
      Stack_Text.setName("Stack_Text"); // NOI18N
      Stack_Scroll.setViewportView(Stack_Text);

      Clear_Button.setText(Calculator_Bundle.getString("Clear_Button")); // NOI18N
      Clear_Button.setName("Clear_Button"); // NOI18N
      Clear_Button.addActionListener(this::Clear_ButtonActionPerformed);

      Class_Label.setText(Calculator_Bundle.getString("Class_Label")); // NOI18N
      Class_Label.setName("Class_Label"); // NOI18N

      Class_Text.setEditable(false);
      Class_Text.setBackground(javax.swing.UIManager.getDefaults().getColor("EditorPane.background"));
      Class_Text.setName("Class_Text"); // NOI18N

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
      this.setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(Stack_Scroll)
               .addGroup(layout.createSequentialGroup()
                  .addComponent(Clear_Button)
                  .addGap(0, 0, Short.MAX_VALUE))
               .addGroup(layout.createSequentialGroup()
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addComponent(Mesage_Label)
                     .addComponent(Class_Label))
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addComponent(Class_Text)
                     .addComponent(Message_Text))))
            .addContainerGap())
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(Message_Text, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(Mesage_Label))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(Class_Label)
               .addComponent(Class_Text, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(Stack_Scroll)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(Clear_Button)
            .addContainerGap())
      );
   }// </editor-fold>//GEN-END:initComponents

   private void Clear_ButtonActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_Clear_ButtonActionPerformed
   {//GEN-HEADEREND:event_Clear_ButtonActionPerformed
      Error_Canvas.Logger.entering (Error_Canvas.TAG, "Clear_ButtonActionPerformed", new Object[] {evt});

      Stack_Text.setText ("");
      Message_Text.setText ("");

      Error_Canvas.Logger.exiting (Error_Canvas.TAG, "Clear_ButtonActionPerformed");
      return;
   }//GEN-LAST:event_Clear_ButtonActionPerformed

   // Variables declaration - do not modify//GEN-BEGIN:variables
   final javax.swing.JLabel Class_Label = new javax.swing.JLabel();
   final javax.swing.JTextField Class_Text = new javax.swing.JTextField();
   final javax.swing.JButton Clear_Button = new javax.swing.JButton();
   final javax.swing.JLabel Mesage_Label = new javax.swing.JLabel();
   final javax.swing.JTextField Message_Text = new javax.swing.JTextField();
   final javax.swing.JScrollPane Stack_Scroll = new javax.swing.JScrollPane();
   final javax.swing.JTextArea Stack_Text = new javax.swing.JTextArea();
   // End of variables declaration//GEN-END:variables
   //@formatter:on

   @TestOnly
   @Nullable
   public String getStackText()
   {
      return Stack_Text.getText ();
   }

   @TestOnly
   @Nullable
   public String getMessageText()
   {
      return Message_Text.getText ();
   }

   @TestOnly
   @Nullable
   public String getClassText()
   {
      return Class_Text.getText ();
   }

   @SuppressWarnings ("HardcodedLineSeparator")
   @Override @TestOnly @NotNull public String
   toString ()
   {
      return "Error_Canvas {\n" +
	 "super = " + super.toString () +
	 ",\nClass_Label = " + Class_Label +
	 ",\nClass_Text = " + Class_Text +
	 ",\nClear_Button = " + Clear_Button +
	 ",\nMesage_Label = " + Mesage_Label +
	 ",\nMessage_Text = " + Message_Text +
	 ",\nStack_Scroll = " + Stack_Scroll +
	 ",\nStack_Text = " + Stack_Text +
	 "\n}";
   }
}
