/*
 * ********************************************************* {{{1 ************
 *   Copyright © 2005 … 2013 "Martin Krischik" «krischik@users.sourceforge.net»
 * ***************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see «http://www.gnu.org/licenses».
 * ***************************************************************************
 *   $Author: krischik $
 *   $Revision: 7681 $
 *   $Date: 2021-09-02 16:15:29 +0200 (Do, 02. Sep 2021) $
 *   $Id: IMain.java 7681 2021-09-02 14:15:29Z krischik $
 *   $HeadURL: svn+ssh://krischik@svn.code.sf.net/p/uiq3/code/trunk/Java/Calculator/Desktop/src/main/java/net/sourceforge/uiq3/calculator/IMain.java $
 * ********************************************************** }}}1 ***********
 */
package net.sourceforge.uiq3.calculator

/**
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
interface IMain
{
   /**
    * The applications is currently paused
    *
    * @return true when calculator engine is running
    */
   fun isRunning(): Boolean

   /**
    * Signals the application to enter the Paused state.
    */
   fun pauseApp()

   /**
    * Signals the application that it has entered the Active state.
    */
   fun startApp()

   /**
    * General quit handler; fed to the OSXAdapter as the method to call when a system quit event occurs A quit event is
    * triggered by Cmd-Q, selecting Quit from the application or Dock menu, or logging out.
    *
    * @return true for quit
    */
   fun quit(): Boolean
} // IMain
// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab :
// vim: set textwidth=0 filetype=java foldmethod=syntax nospell :

