/*
 * ************************************************************ {{{1 **********
 * Copyright © 2020 … 2020  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.calculator

import net.sourceforge.uiq3.test.Feature
import net.sourceforge.uiq3.test.Info
import net.sourceforge.uiq3.test.Scenario
import net.sourceforge.uiq3.test.Then
import net.sourceforge.uiq3.test.When
import org.hamcrest.CoreMatchers.notNullValue
import org.hamcrest.MatcherAssert.assertThat
import org.hamcrest.core.Is.`is` as Is

/**
 * Tests Button_5 constructors to be self-contained.
 */
@org.junit.jupiter.api.TestInstance(org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS)
class Button_5_Test
{
   companion object
   {
      init
      {
	 net.sourceforge.uiq3.test.Init_Logger()
      }
   }

   @org.junit.jupiter.api.BeforeEach
   fun BeforeEach()
   {
      Feature("Button 5")
      Info(
	 """For the dialog generator to work the default constructor should
be able to create a instance without any initialisation having taken place."""
      )
   }

   @org.junit.jupiter.api.Test
   @org.junit.jupiter.api.DisplayName("Scenario: empty constructor")
   fun test_empty_constructor()
   {
      Scenario("empty constructor")
      When("the panel is initiated.")
      val test = Button_5<Canvas, Key>()

      Then("a valid panel should be returned.")
      assertThat(test, Is(notNullValue()))
   }
}

//************************************************************* {{{1 **********
// vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 expandtab textwidth=120:
// vim: set textwidth=0 filetype=kotlin foldmethod=indent spell spelllang=en_gb :
