/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2024  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.ui

import java.awt.color.ColorSpace

class Color : java.awt.Color
{
   companion object
   {
      private const val serialVersionUID: Long = -373630691018806511L
   }

   constructor(r: Int, g: Int, b: Int) : super(r, g, b)
   constructor(r: Int, g: Int, b: Int, a: Int) : super(r, g, b, a)
   constructor(rgb: Int) : super(rgb)
   constructor(rgba: Long) : super(
      /* rgba = */ rgba.toInt(),
      /* hasalpha = */ true)

   constructor(rgba: Int, hasalpha: Boolean) : super(rgba, hasalpha)
   constructor(r: Float, g: Float, b: Float) : super(r, g, b)
   constructor(r: Float, g: Float, b: Float, a: Float) : super(r, g, b, a)
   constructor(cspace: ColorSpace?, components: FloatArray?, alpha: Float) : super(cspace, components, alpha)


}