/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2023  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */
package net.sourceforge.uiq3.ui

/**
 * Interface for a display canvas for the calculator
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
interface IFrame :
   ICalculatorCanvas
{
   /**
    * Display about box.
    */
   fun displayAboutBox()

   /**
    * display preferences
    */
   fun displayPreferencesBox()

   /**
    * display preferences
    */
   fun displayHelpIndex()

   @java.beans.BeanProperty(bound = false, preferred = true, description = "The tabbedpane's selected component.")
   fun setSelectedComponent(c: java.awt.Component?)

} // IFrame
// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :

