/*
 * ******************************************************** {{{1 ************
 *   Copyright © 2005 … 2018 "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see «http://www.gnu.org/licenses».
 *  ***************************************************************************
 *   $Author: krischik $
 *   $Revision: 7076 $
 *   $Date: 2019-09-30 17:06:09 +0200 (Mo, 30. Sep 2019) $
 *   $Id: ITraceable.java 7076 2019-09-30 15:06:09Z krischik $
 *  ********************************************************** }}}1 ***********
 */

package net.sourceforge.uiq3;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.TestOnly;

/**
 * <p>
 * The objects attributes can be traced
 * </p>
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 * @version 1.0
 * @since 1.0
 */
public interface ITraceable
{
   /**
    * @return string representation of the instance suitable for debugging.
    */
   @TestOnly
   @NotNull
   public String Debug_String ();

   /**
    * Write a string representation of the instance to the log file.
    */
   @TestOnly
   public void Trace ();
} // ITraceable

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
