/*
 * ******************************************************** {{{1 ************
 *   Copyright © 2005 … 2019 "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see «http://www.gnu.org/licenses».
 *  ***************************************************************************
 *   $Author: krischik $
 *   $Revision: 7681 $
 *   $Date: 2021-09-02 16:15:29 +0200 (Do, 02. Sep 2021) $
 *   $Id: IOperation.java 7681 2021-09-02 14:15:29Z krischik $
 *  ********************************************************** }}}1 ***********
 */

package net.sourceforge.uiq3.calculator;

/**
 * Virtual CPU Operation
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
public abstract interface IOperation
{
   /**
    * <p>
    * Execute virtual CPU command or key stroke
    * </p>
    *
    * @param Opcode
    *           Virtual CPU Operation to be executed
    * @throws java.lang.Error
    *            "Error" is an abstract exception class representing all possible errors the
    *            calculator can produce.
    */
   public abstract void Execute (final short Opcode)
      throws Error;
} // IOperation

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
