/*
 * ******************************************************** {{{1 ************
 *   Copyright © 2005 … 2019 "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see «http://www.gnu.org/licenses».
 *  ***************************************************************************
 *   $Author: krischik $
 *   $Revision: 7714 $
 *   $Date: 2021-10-21 11:50:10 +0200 (Do, 21. Okt 2021) $
 *   $Id: IProgrammable_Operation.java 7714 2021-10-21 09:50:10Z krischik $
 *  ********************************************************** }}}1 ***********
 */

package net.sourceforge.uiq3.calculator;

import org.jetbrains.annotations.NotNull;

/**
 * A Programmable Operation need to be displayed on program mode.
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
public interface IProgrammable_Operation
   extends
   net.sourceforge.uiq3.calculator.IOperation,
   net.sourceforge.uiq3.calculator.IClear
{
   /**
    * Display command for program mode.
    *
    * @param Opcode
    *    Virtual CPU Operation to be executed
    * @return String to be displayed
    * @throws Error
    *    Something went wrong
    */
   public abstract short @NotNull [] Display (final short Opcode)
      throws
      Error;
} // IProgrammable_Operation

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
