#!/opt/local/bin/zsh
############################################################ {{{1 ###########
#  Copyright © 2007 … 2012  Martin Krischik
#############################################################################
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
############################################################ }}}1 ###########

source "${PROJECT_HOME}/Utilities/Setup.command"

setopt No_Err_Exit
setopt No_XTrace

typeset Module="Java/Calculator/Library"
typeset Reports="${Module}/target/surefire-reports"

pushd "${PROJECT_HOME}"
    rm -v "${Reports}"/JUnit-*.log "${Reports}"/*_Test.txt

    setopt Err_Exit
    {
	mvn				    \
	    --projects "${Module}"	    \
	    test
    } always
    {
	Retval=${?}

	printf "\e[42m%-30.30s : \e[43m %-60.60s \e[m\n" "Result"     "${Retval} / ${TRY_BLOCK_ERROR}"

	Search_Errors "${Reports}"/JUnit-*.log

	gview "${Reports}"/JUnit-*.log "${Reports}"/*_Test.txt
    }
popd

exit ${Retval}

############################################################ {{{1 ###########
# vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh fileformat=unix foldmethod=marker nospell :
