/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2017  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * **************************************************************************
 * $Author: krischik $
 * $Revision: 7698 $
 * $Date: 2021-09-23 20:30:07 +0200 (Do, 23. Sep 2021) $
 * $Id: BCDInteger_Create_Test.scala 7698 2021-09-23 18:30:07Z krischik $
 * $HeadURL: svn+ssh://krischik@svn.code.sf.net/p/uiq3/code/trunk/Scala/Calculator/Test/src/test/java/net.sourceforge.uiq3/math/BCDInteger_Create_Test.scala $
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.math

import net.sourceforge.uiq3.test.ℤ
import org.hamcrest.core.IsEqual.equalTo
import org.hamcrest.MatcherAssert.assertThat

@org.junit.jupiter.api.TestInstance(org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS)
class BCDInteger_Create_Test
{
   companion object
   {
      init
      {
	 net.sourceforge.uiq3.test.Init_Logger()
      }
   }

   @org.junit.jupiter.api.Test
   fun `Test 200`()
   {
      assertThat(ℤ(200L), equalTo(ℤ("200")))
   }

   @org.junit.jupiter.api.Test
   fun `Test -200`()
   {
      assertThat(ℤ(-200L), equalTo(ℤ("-200")))
   }

   @org.junit.jupiter.api.Test
   fun `Test 1234567890`()
   {
      assertThat(ℤ(1234567890L), equalTo(ℤ("1234567890")))
   }

   @org.junit.jupiter.api.Test
   fun `Test 9999999999`()
   {
      assertThat(ℤ(9999999999L), equalTo(ℤ("9999999999")))
   }

   @org.junit.jupiter.api.Test
   fun `Test -9999999999`()
   {
      assertThat(ℤ(-9999999999L), equalTo(ℤ("-9999999999")))
   }

   @org.junit.jupiter.api.Test
   fun `Test 99999999990`()
   {
      assertThat(ℤ(99999999990L), equalTo(ℤ("99999999990")))
   }
} // BCDInteger_Create_Test

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=kotlin foldmethod=syntax spell spelllang=en_gb :
