/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2017  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * **************************************************************************
 * $Author: krischik $
 * $Revision: 7698 $
 * $Date: 2021-09-23 20:30:07 +0200 (Do, 23. Sep 2021) $
 * $Id: BCDInteger_Test.scala 7698 2021-09-23 18:30:07Z krischik $
 * $HeadURL: svn+ssh://krischik@svn.code.sf.net/p/uiq3/code/trunk/Scala/Calculator/Test/src/test/java/net.sourceforge.uiq3/math/BCDInteger_Test.scala $
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.math

import net.sourceforge.uiq3.test.Feature
import net.sourceforge.uiq3.test.Given;
import net.sourceforge.uiq3.test.Info;
import net.sourceforge.uiq3.test.Scenario
import net.sourceforge.uiq3.test.Then
import net.sourceforge.uiq3.test.When;
import org.hamcrest.MatcherAssert.assertThat
import org.hamcrest.`object`.HasToString.hasToString

/**
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
@org.junit.jupiter.api.TestInstance(org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS)
class BCDInteger_Test
{
   companion object
   {
      init
      {
	 net.sourceforge.uiq3.test.Init_Logger()
      }
   }

   @org.junit.jupiter.api.Nested
   @org.junit.jupiter.api.DisplayName("Feature: Parse from Java String")
   inner class Test_Parse_from_Java_String
   {
      init
      {
	 Feature("Parse from Java String")
	 Info("The Decomposed Class can be parsed from a java String user input.")
      }

      @org.junit.jupiter.api.Test
      @org.junit.jupiter.api.DisplayName("Scenario: parse “200”")
      fun `test_parse_“200”`()
      {
	 Scenario("parse “200”")
	 Given("a java string representing “200”")
	 val Text = "200"
	 When("a BCDInteger is constructed from the java string.")
	 val Value = BCDInteger(Text)
	 Value.Normalize()
	 Then("“200” is returned.")

	 assertThat(Value, hasToString("200"))
      } // Scenario

      @org.junit.jupiter.api.Test
      @org.junit.jupiter.api.DisplayName("Scenario: parse “00200”")
      fun `test_parse_“00200”`()
      {
	 Scenario("parse “00200”")
	 Given("a java string representing “00200”")
	 val Text = "00200"
	 When("a BCDInteger is constructed from the java string.")
	 val Value = BCDInteger(Text)
	 Value.Normalize()
	 Then("“200” is returned.")
	 assertThat(Value, hasToString("200"))
      } // Scenario
   } // Feature
} // BCDInteger_Test

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=kotlin foldmethod=syntax spell spelllang=en_gb :
