/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2024  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.hp45

import net.sourceforge.uiq3.calculator.Key
import java.awt.Color

/**
 *  Single HP-45 calculator key.
 *
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
class Key(
   keyNr: Int,
   calculatorKeyCode: Short,
   javaKeyCode: Int,
   override val buttonText: String,
   val goldText: String,
   val buttonBackground: Color,
   val buttonBorder: Color,
   val buttonForeground: Color,
) : Key(
   keyNr = keyNr,
   calculatorKeyCode = calculatorKeyCode,
   javaKeyCode = javaKeyCode)

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab :
// vim: set textwidth=0 filetype=kotlin foldmethod=syntax nospell :
