/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2024  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.hp45

import java.awt.event.KeyEvent

val Keyboard = lazy {
   arrayOf(
      /*  0 => */ Key(
      keyNr = 0,
      calculatorKeyCode = 6,
      javaKeyCode = KeyEvent.VK_Q,
      buttonText = Properties.readResource("Button_1x"),
      goldText = Properties.readResource("Text_xy"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   1 => */ Key(
      keyNr = 1,
      calculatorKeyCode = 4,
      javaKeyCode = KeyEvent.VK_W,
      buttonText = Properties.readResource("Button_ln"),
      goldText = Properties.readResource("Text_log"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   2 => */ Key(
      keyNr = 2,
      calculatorKeyCode = 3,
      javaKeyCode = KeyEvent.VK_E,
      buttonText = Properties.readResource("Button_ex"),
      goldText = Properties.readResource("Text_10x"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   3 => */ Key(
      keyNr = 3,
      calculatorKeyCode = 2,
      javaKeyCode = KeyEvent.VK_R,
      buttonText = Properties.readResource("Button_FIX"),
      goldText = Properties.readResource("Text_SCI"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   4 => */ Key(
      keyNr = 4,
      calculatorKeyCode = 0,
      javaKeyCode = KeyEvent.VK_SHIFT,
      buttonText = Properties.readResource("Button_GOLD"),
      goldText = Properties.readResource("Text_GOLD"),
      buttonBackground = Properties.Button_Type_1_Light_Color.value,
      buttonBorder = Properties.Button_Type_1_Dark_Color.value,
      buttonForeground = Properties.Button_Type_1_Text_Color.value),
      /*   5 => */ Key(
      keyNr = 5,
      calculatorKeyCode = 46,
      javaKeyCode = KeyEvent.VK_A,
      buttonText = Properties.readResource("Button_x2"),
      goldText = Properties.readResource("Text_sqrt"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   6 => */ Key(
      keyNr = 6,
      calculatorKeyCode = 44,
      javaKeyCode = KeyEvent.VK_S,
      buttonText = Properties.readResource("Button_toP"),
      goldText = Properties.readResource("Text_toR"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   7 => */ Key(
      keyNr = 7,
      calculatorKeyCode = 43,
      javaKeyCode = KeyEvent.VK_D,
      buttonText = Properties.readResource("Button_sin"),
      goldText = Properties.readResource("Text_asin"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   8 => */ Key(
      keyNr = 8,
      calculatorKeyCode = 42,
      javaKeyCode = KeyEvent.VK_F,
      buttonText = Properties.readResource("Button_cos"),
      goldText = Properties.readResource("Text_acos"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*   9 => */ Key(
      keyNr = 9,
      calculatorKeyCode = 40,
      javaKeyCode = KeyEvent.VK_G,
      buttonText = Properties.readResource("Button_tan"),
      goldText = Properties.readResource("Text_atan"),
      buttonBackground = Properties.Button_Type_0_Light_Color.value,
      buttonBorder = Properties.Button_Type_0_Dark_Color.value,
      buttonForeground = Properties.Button_Type_0_Text_Color.value),
      /*  10 => */ Key(
      keyNr = 10,
      calculatorKeyCode = 14,
      javaKeyCode = KeyEvent.VK_Z,
      buttonText = Properties.readResource("Button_xy"),
      goldText = Properties.readResource("Text_faculty"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  11 => */ Key(
      keyNr = 11,
      calculatorKeyCode = 12,
      javaKeyCode = KeyEvent.VK_X,
      buttonText = Properties.readResource("Button_Rdown"),
      goldText = Properties.readResource("Text_xs"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  12 => */ Key(
      keyNr = 12,
      calculatorKeyCode = 11,
      javaKeyCode = KeyEvent.VK_C,
      buttonText = Properties.readResource("Button_STO"),
      goldText = Properties.readResource("Text_toDMS"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  13 => */ Key(
      keyNr = 13,
      calculatorKeyCode = 10,
      javaKeyCode = KeyEvent.VK_V,
      buttonText = Properties.readResource("Button_RCL"),
      goldText = Properties.readResource("Text_fromDMS"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  14 => */ Key(
      keyNr = 14,
      calculatorKeyCode = 8,
      javaKeyCode = KeyEvent.VK_B,
      buttonText = Properties.readResource("Button_percent"),
      goldText = Properties.readResource("Text_Delta_Percent"),
      buttonBackground = Properties.Button_Type_2_Light_Color.value,
      buttonBorder = Properties.Button_Type_2_Dark_Color.value,
      buttonForeground = Properties.Button_Type_2_Text_Color.value),
      /*  15 => */ Key(
      keyNr = 15,
      calculatorKeyCode = 60,
      javaKeyCode = KeyEvent.VK_ENTER,
      buttonText = Properties.readResource("Button_ENTER"),
      goldText = Properties.readResource("Text_DEG"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  16 => */ Key(
      keyNr = 16,
      calculatorKeyCode = 59,
      javaKeyCode = KeyEvent.VK_MINUS,
      buttonText = Properties.readResource("Button_CHS"),
      goldText = Properties.readResource("Text_RAD"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  17 => */ Key(
      keyNr = 17,
      calculatorKeyCode = 58,
      javaKeyCode = KeyEvent.VK_CIRCUMFLEX,
      buttonText = Properties.readResource("Button_EEX"),
      goldText = Properties.readResource("Text_GRA"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  18 => */ Key(
      keyNr = 18,
      calculatorKeyCode = 56,
      javaKeyCode = KeyEvent.VK_BACK_SPACE,
      buttonText = Properties.readResource("Button_CLx"),
      goldText = Properties.readResource("Text_CLEAR"),
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  19 => */ Key(
      keyNr = 19,
      calculatorKeyCode = 54,
      javaKeyCode = KeyEvent.VK_SUBTRACT,
      buttonText = Properties.readResource("Button_Minus"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  20 => */ Key(
      keyNr = 20,
      calculatorKeyCode = 52,
      javaKeyCode = KeyEvent.VK_NUMPAD7,
      buttonText = Properties.readResource("Button_7"),
      goldText = Properties.readResource("Text_cmin"),
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  21 => */ Key(
      keyNr = 21,
      calculatorKeyCode = 51,
      javaKeyCode = KeyEvent.VK_NUMPAD8,
      buttonText = Properties.readResource("Button_8"),
      goldText = Properties.readResource("Text_kglb"),
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  22 => */ Key(
      keyNr = 22,
      calculatorKeyCode = 50,
      javaKeyCode = KeyEvent.VK_NUMPAD9,
      buttonText = Properties.readResource("Button_9"),
      goldText = Properties.readResource("Text_ltrgal"),
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  23 => */ Key(
      keyNr = 23,
      calculatorKeyCode = 22,
      javaKeyCode = KeyEvent.VK_ADD,
      buttonText = Properties.readResource("Button_Plus"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  24 => */ Key(
      keyNr = 24,
      calculatorKeyCode = 20,
      javaKeyCode = KeyEvent.VK_NUMPAD4,
      buttonText = Properties.readResource("Button_4"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  25 => */ Key(
      keyNr = 25,
      calculatorKeyCode = 19,
      javaKeyCode = KeyEvent.VK_NUMPAD5,
      buttonText = Properties.readResource("Button_5"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  26 => */ Key(
      keyNr = 26,
      calculatorKeyCode = 18,
      javaKeyCode = KeyEvent.VK_NUMPAD6,
      buttonText = Properties.readResource("Button_6"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  27 => */ Key(
      keyNr = 27,
      calculatorKeyCode = 30,
      javaKeyCode = KeyEvent.VK_MULTIPLY,
      buttonText = Properties.readResource("Button_Mult"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  28 => */ Key(
      keyNr = 28,
      calculatorKeyCode = 28,
      javaKeyCode = KeyEvent.VK_NUMPAD1,
      buttonText = Properties.readResource("Button_1"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  29 => */ Key(
      keyNr = 29,
      calculatorKeyCode = 27,
      javaKeyCode = KeyEvent.VK_NUMPAD2,
      buttonText = Properties.readResource("Button_2"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  30 => */ Key(
      keyNr = 30,
      calculatorKeyCode = 26,
      javaKeyCode = KeyEvent.VK_3,
      buttonText = Properties.readResource("Button_3"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  31 => */ Key(
      keyNr = 31,
      calculatorKeyCode = 38,
      javaKeyCode = KeyEvent.VK_DIVIDE,
      buttonText = Properties.readResource("Button_Div"),
      goldText = " ",
      buttonBackground = Properties.Button_Type_3_Light_Color.value,
      buttonBorder = Properties.Button_Type_3_Dark_Color.value,
      buttonForeground = Properties.Button_Type_3_Text_Color.value),
      /*  32 => */ Key(
      keyNr = 32,
      calculatorKeyCode = 36,
      javaKeyCode = KeyEvent.VK_NUMPAD0,
      buttonText = Properties.readResource("Button_0"),
      goldText = Properties.readResource("Text_LASTx"),
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  33 => */ Key(
      keyNr = 33,
      calculatorKeyCode = 35,
      javaKeyCode = 46,
      buttonText = Properties.readResource("Button_Dot"),
      goldText = Properties.readResource("Text_π"),
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value),
      /*  34 => */ Key(
      keyNr = 34,
      calculatorKeyCode = 34,
      javaKeyCode = 115,
      buttonText = Properties.readResource("Button_Σplus"),
      goldText = Properties.readResource("Text_Σminus"),
      buttonBackground = Properties.Button_Type_4_Light_Color.value,
      buttonBorder = Properties.Button_Type_4_Dark_Color.value,
      buttonForeground = Properties.Button_Type_4_Text_Color.value)
   )
} // lazy

// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab :
// vim: set textwidth=0 filetype=kotlin foldmethod=syntax nospell :
