#!/opt/local/bin/zsh
############################################################ {{{1 ##########:
#  Copyright (C) 2007,2008  Martin Krischik
############################################################################:
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
############################################################: }}}1 ##########

setopt Err_Exit;
setopt No_X_Trace;

typeset			  App_Name="FX-603P";
typeset		  Resources_MacOSX="src/main/macosx";
typeset			     Build="target";
typeset			  Jar_Name="${App_Name}-Desktop-${UIQ3_VERSION}";

if test "${UIQ3_DEMO}" = "false"; then
    typeset Dest_App_Name="${App_Name}";
    typeset Dest_Jar_Name="${Jar_Name}";
else
    typeset Dest_App_Name="FX-603D";
    typeset Dest_Jar_Name="${Dest_App_Name}-Desktop-${UIQ3_VERSION}";
fi;

typeset		     Apple_Appstub="${Resources_MacOSX}/JavaApplicationStub";
typeset       Application_Contents="${Build}/${Dest_App_Name}.app/Contents";
typeset      Application_Resources="${Application_Contents}/Resources";
typeset Application_Resources_Java="${Application_Resources}/Java";
typeset		 Application_Macos="${Application_Contents}/MacOS";
typeset     Application_Macos_Stub="${Application_Macos}/JavaApplicationStub";

function TRAPZERR ()
    {
	if test -n "${Build}/${Jar_Name}.jar"; then
	    gmv --verbose				    \
		"${Build}/shade-${Jar_Name}.jar"	    \
		"${Build}/${Jar_Name}.jar"		    ;
	fi;

	return;
    } # TRAPZERR

pushd "${PROJECT_HOME}/FX-603P/Desktop"
    gmkdir --parents --verbose						    \
	"${Application_Resources_Java}"
    gmkdir --parents --verbose						    \
	"${Application_Macos}"
    #java								    \
	#-jar ${PROGUARD_HOME}/proguard.jar				    \
	#-injars     "${Build}/${Jar_Name}.jar"				    \
	#-outjars "${Application_Resources_Java}/${Dest_Jar_Name}.jar"	    \
	#-include "src/main/scripts/proguard.pro"			    ;
    gcp  --verbose							    \
      ${Build}/${Jar_Name}.jar						    \
      ${Application_Resources_Java}/${Dest_Jar_Name}.jar
    gcp --verbose --update						    \
      "${Apple_Appstub}"						    \
      "${Application_Macos_Stub}"
    gchmod --verbose							    \
	755 "${Application_Macos_Stub}"
    gcp --verbose --update						    \
	"${Resources_MacOSX}/PkgInfo"					    \
	"${Application_Contents}/PkgInfo"				    ;
    gcp --verbose --update						    \
	"${Resources_MacOSX}/Info.plist"				    \
	"${Application_Contents}/Info.plist"
    gcp --verbose --update						    \
	--target-directory="${Application_Resources}"			    \
	"${Resources_MacOSX}/"*.icns
    vim -E -n "${Application_Contents}/Info.plist" <<-EOF  | true
	% substitute /@Jar_Name@/${Dest_Jar_Name}/ge
	% substitute /@App_Name@/${Dest_App_Name}/ge
	exit
    EOF
    vim -E -n "${Application_Macos_Stub}" <<-EOF  | true
	% substitute /@Jar_Name@/${Dest_Jar_Name}/ge
	% substitute /@App_Name@/${Dest_App_Name}/ge
	exit
    EOF
popd;

############################################################ {{{1 ##########:
# vim: set wrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
