#!/opt/local/bin/zsh
############################################################ {{{1 ###########
#  Copyright © 2007 … 2021  Martin Krischik
#############################################################################
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#############################################################################
#  $Author: krischik $
#  $Revision: 7202 $
#  $Date: 2021-03-18 14:55:36 +0100 (Do, 18. Mär 2021) $
#  $Id: Start.command 7202 2021-03-18 13:55:36Z krischik $
############################################################ }}}1 ###########

setopt No_XTrace
setopt Err_Exit

alias mvn="${M2_HOME}/bin/mvn"

pushd "${PROJECT_HOME}"
    mvn					    \
	--define skipTests=true		    \
	--also-make			    \
	--projects "Java/HP45/Desktop"	    \
	package

    pushd "Java/HP45/Desktop"
	java -jar "target/RPN-45-Desktop-${UIQ3_VERSION}.jar"
	# src/main/scripts/Start.command
    popd
popd

############################################################ {{{1 ###########
# vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab :
# vim: set textwidth=0 filetype=zsh foldmethod=marker nospell :
