/*
 * ************************************************************ {{{1 **********
 * Copyright © 2020 … 2020  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * **************************************************************************
 * $Author: krischik $
 * $Revision: 7684 $
 * $Date: 2021-09-13 20:49:22 +0200 (Mo, 13. Sep 2021) $
 * $Id: Calculator_Frame_Test.kt 7684 2021-09-13 18:49:22Z krischik $
 * $HeadURL: svn+ssh://krischik@svn.code.sf.net/p/uiq3/code/trunk/Java/HP45/Desktop/src/test/java/net.sourceforge.uiq3/ui/Calculator_Frame_Test.kt $
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.hp45;

import net.sourceforge.uiq3.hp45.Calculator_Frame
import net.sourceforge.uiq3.test.Feature
import net.sourceforge.uiq3.test.Info
import net.sourceforge.uiq3.test.Scenario
import net.sourceforge.uiq3.test.Then
import net.sourceforge.uiq3.test.When
import org.hamcrest.CoreMatchers.notNullValue
import org.hamcrest.MatcherAssert.assertThat
import org.hamcrest.core.Is.`is`
import org.junit.jupiter.api.Test

/**
 * Tests new [Skin_Extension].
 */
@org.junit.jupiter.api.TestInstance(org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS)
class Calculator_Frame_Test
{
   companion object
   {
      init
      {
	 net.sourceforge.uiq3.test.Init_Logger()
      }
   }
   
   @org.junit.jupiter.api.BeforeAll
   fun Before_All()
   {
      Feature(this.javaClass.simpleName)
      Info(
	 """For the dialog generator to work the default constructor should
be able to create a instance without any initialisation having taken place.""")
   }

   @Test
   fun test_empty_constructor()
   {
      Scenario("Empty constructor")
      When("the dialog is initiated.")
      val test = Calculator_Frame();

      Then("a valid dialog should be returned.")
      assertThat(test, `is`(notNullValue()))
   }
}
//************************************************************* {{{1 **********
// vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 expandtab textwidth=120:
// vim: set textwidth=0 filetype=kotlin foldmethod=indent spell spelllang=en_gb :
