/*
 * ************************************************************ {{{1 **********
 * Copyright © 2020 … 2020  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * **************************************************************************
 * $Author: krischik $
 * $Revision: 7684 $
 * $Date: 2021-09-13 20:49:22 +0200 (Mo, 13. Sep 2021) $
 * $Id: Calculator_Button_2_Test.kt 7684 2021-09-13 18:49:22Z krischik $
 * $HeadURL: svn+ssh://krischik@svn.code.sf.net/p/uiq3/code/trunk/Java/HP45/Desktop/src/test/java/net.sourceforge.uiq3/ui/Calculator_Button_2_Test.kt $
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.hp45

import net.sourceforge.uiq3.test.Feature
import net.sourceforge.uiq3.test.Info
import net.sourceforge.uiq3.test.Scenario
import org.hamcrest.MatcherAssert.assertThat
import org.hamcrest.core.IsEqual.equalTo
import java.awt.event.KeyEvent

@org.junit.jupiter.api.TestInstance(org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS)
class Keyboard_Test
{
   companion object
   {
      init
      {
	 net.sourceforge.uiq3.test.Init_Logger()
      }
   }
   
   @org.junit.jupiter.api.BeforeAll
   fun Before_All()
   {
      Feature(this.javaClass.simpleName)
      Info(
	 """Test keyboard data."""
      )
   }

   @org.junit.jupiter.api.Test
   fun test_Key_0()
   {
      Scenario("key #0")
      val Test = Keyboard.value[0]

      assertThat(Test.buttonText, equalTo("¹/x"))
      assertThat(Test.goldText, equalTo("yˣ"))
      assertThat(Test.calculatorKeyCode, equalTo(6))
      assertThat(Test.javaKeyCode, equalTo(81))
   }

   @org.junit.jupiter.api.Test
   fun test_Key_4()
   {
      Scenario("key #4")
      val Test = Keyboard.value[4]

      assertThat(Test.buttonText, equalTo(" "))
      assertThat(Test.goldText, equalTo(" "))
      assertThat(Test.calculatorKeyCode, equalTo(0))
      assertThat(Test.javaKeyCode, equalTo(KeyEvent.VK_SHIFT))
   }

}
//************************************************************* {{{1 **********
// vim: set nowrap tabstop=8 shiftwidth=4 softtabstop=4 expandtab textwidth=120:
// vim: set textwidth=0 filetype=kotlin foldmethod=indent spell spelllang=en_gb :

