/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2023  "Martin Krischik" «krischik@users.sourceforge.net»
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */

package net.sourceforge.uiq3.hp45

import net.sourceforge.uiq3.test.Feature
import net.sourceforge.uiq3.test.Info
import net.sourceforge.uiq3.test.Scenario
import net.sourceforge.uiq3.test.Then
import net.sourceforge.uiq3.test.When
import org.hamcrest.MatcherAssert.assertThat
import org.hamcrest.core.IsNull.notNullValue
import org.hamcrest.core.Is.`is` as Is

/**
 * @author "Martin Krischik" «krischik@users.sourceforge.net»
 */
@org.junit.jupiter.api.TestInstance(org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS)
@org.junit.jupiter.api.DisplayName("Feature: Status_Canvas")
class Status_Canvas_Test
{
   companion object
   {
      init
      {
	 net.sourceforge.uiq3.test.Init_Logger()
      }
   }

   @org.junit.jupiter.api.Nested
   @org.junit.jupiter.api.DisplayName("Feature: Instantiate Canvas")
   inner class Test_Instantiate_Canvas
   {
      init
      {
      Feature ("Instantiate Canvas")
	 Feature(this.javaClass.simpleName)
	 Info(
	    """For the dialog generator to work the default constructor should
be able to create a instance without any initialisation having taken place.""")
      }

      @org.junit.jupiter.api.Test
      @org.junit.jupiter.api.DisplayName("Scenario Instantiate default constructor")
      fun test_Default_Constructor()
      {
	 Scenario("Instantiate default constructor")
	 When("the canvas is initiated.")
	 val Canvas = PrinterCanvas()

	 Then("a valid canvas should be returned.")
	 assertThat(Canvas, Is(notNullValue()))
      } // Scenario
   } // Feature
}  // Status_Canvas_Test

// vim: set textwidth=120 nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab :
// vim: set filetype=kotlin fileencoding=utf-8 fileformat=unix foldmethod=syntax :
// vim: set spell spelllang=en_gb :
