/*
 * ************************************************************ {{{1 **********
 * Copyright © 2005 … 2024 "Martin Krischik" «krischik@users.sourceforge.net»
 * Copyright 2000          David G. Hicks    (Java port)
 * Copyright 1995          Eric L. Smith     (Original C/X Windows)
 * **************************************************************************
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see «http://www.gnu.org/licenses»..
 * ************************************************************ }}}1 **********
 */


package net.sourceforge.uiq3.hp45;

/**
 */
final class op_c_to_data
   implements
      net.sourceforge.uiq3.calculator.IOperation
{
   /**
    * <p>
    * Class logger instance.
    * </p>
    */
   private static final java.util.logging.Logger Logger;
   /**
    * <p>
    * Class logger tag.
    * </p>
    */
   private static final String TAG;

   static
   {
      TAG = op_c_to_data.class.getName ();
      Logger = java.util.logging.Logger.getLogger (op_c_to_data.TAG);
   } // static

   /**
    */
   @SuppressWarnings ("FieldNotUsedInToString")
   private final Calculator Owner;

   /**
    * @param calculator
    */
   op_c_to_data (final Calculator calculator)
   {
      this.Owner = calculator;
   }

   /**
    * @param Opcode
    */
   @Override
   public void Execute (final short Opcode)
   {
      int i;
      if (this.Owner.ram_addr >= Calculator.Max_Ram)
      {
         // #ifdef DEBUG
         // # System.out.println ("Coefficient -> data: address " + Owner.ram_addr
         // # + " out of range\n");
         // #endif
         return;
      } // if
      for (i = 0; i < Calculator.Word_Size; i++)
      {
         this.Owner.ram [this.Owner.ram_addr] [i] = this.Owner.c [i];
      } // for
      return;
   } // Execute
}
// vim: set nowrap tabstop=8 shiftwidth=3 softtabstop=3 expandtab textwidth=96 :
// vim: set fileencoding=utf-8 filetype=java foldmethod=syntax spell spelllang=en_gb :
