#!/bin/zsh
########################################################### {{{1 ###########
#   Copyright (C) 2005,2006  Martin Krischik
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
########################################################### }}}1 ###########

setopt No_XTrace
setopt No_Verbose
setopt Err_Exit
setopt SH_Word_Split
setopt CSH_Null_Glob

typeset Module="RPN-45"
typeset Deployed=${PROJECT_HOME}/deployed
typeset Download_Server="krischik@frs.sourceforge.net"
typeset Download_Dir="/home/frs/project/uiq3/RPN-45"

pushd ${Deployed}
    printf "\e[42m%-10.10s : \e[43m %-40.40s \e[m\n" "Upload:" "Make directories"

    gmkdir --verbose --parents "${UIQ3_VERSION}"

    printf "\e[42m%-10.10s : \e[43m %-40.40s \e[m\n" "Upload:" "Copy files"

    gcp	--verbose					\
	"${Module}-Desktop-${UIQ3_VERSION}.jar"		\
	"${Module}-Doc-${UIQ3_VERSION}.zip"		\
	"${Module}-OSX-${UIQ3_VERSION}.dmg"		\
	"${Module}-Src-${UIQ3_VERSION}.tar.bz2"		\
	"${UIQ3_VERSION}"

    printf "\e[42m%-10.10s : \e[43m %-40.40s \e[m\n" "Upload:" "Sync files"

    rsync --recursive --verbose				\
	"${UIQ3_VERSION}"				\
	"${Download_Server}:${Download_Dir}"

    grm --recursive --verbose "${UIQ3_VERSION}"
popd

########################################################### {{{1 ###########
# vim: textwidth=0 nowrap tabstop=8 shiftwidth=4 softtabstop=4 noexpandtab
# vim: filetype=zsh fileencoding=utf-8 fileformat=unix
